/*
 * File:
 *   log.h
 * Author(s):
 *   Pascal Felber <Pascal.Felber@unine.ch>
 * Description:
 *   Logging management.
 *
 * Copyright (c) 2004-2005.
 */

#ifndef LOG_H
#define LOG_H

/* ################################################################### *
 * DEFINES
 * ################################################################### */

#define LOG_SILENT              0
#define LOG_NOPREFIX            0
#define LOG_FATAL               1
#define LOG_ERROR               2
#define LOG_WARN                3
#define LOG_INFO                4
#define LOG_DEBUG               5

#define MUST_LOG(level) (level <= log_get_verbosity())

/* ################################################################### *
 * FUNCTIONS
 * ################################################################### */

void log_set_verbosity(int level);

int log_get_verbosity();

void logm(int level, const char *fmt, ...);

void xlogm(int level, const char *fmt, ...);

void fatal(int eval, const char *fmt, ...);

void xfatal(int eval, const char *fmt, ...);

#endif /* LOG_H */
