/*
 * File:
 *   stat.h
 * Author(s):
 *   Pascal Felber <Pascal.Felber@unine.ch>
 * Description:
 *   Statistic utilities.
 *
 * Copyright (c) 2004-2005.
 */

#ifndef STAT_H
#define STAT_H

/* ################################################################### *
 * TYPEDEFS
 * ################################################################### */

typedef struct samples {
  int samples;
  double mean;
  double variance;
} samples_t;

/* ################################################################### *
 * FUNCTIONS
 * ################################################################### */

void init_samples(samples_t* s);

void add_sample(samples_t* s, double d);

int samples_count(samples_t* s);

double samples_mean(samples_t* s);

double samples_variance(samples_t* s);

double samples_stddev(samples_t* s);

#endif /* STAT_H */
